org.apache.cassandra.cql3

## Class ResultSet.Metadata

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.Metadata

Enclosing class:
  ResultSet

    public static class ResultSet.Metadata
    extends java.lang.Object

### Field Summary

Fields
`static CBCodec<ResultSet.Metadata>` `codec`
`int` `columnCount`
`static ResultSet.Metadata` `EMPTY`
`java.util.EnumSet<ResultSet.Flag>` `flags`
`java.util.List<ColumnSpecification>` `names`
`PagingState` `pagingState`

### Constructor Summary

Constructors
Constructor and Description
`ResultSet.Metadata(java.util.List<ColumnSpecification> names)`

### Method Summary

Methods
`ResultSet.Metadata` `setHasMorePages(PagingState pagingState)`
`void` `setSkipMetadata()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final CBCodec<ResultSet.Metadata> codec

#### EMPTY

    public static final ResultSet.Metadata EMPTY

#### flags

    public final java.util.EnumSet<ResultSet.Flag> flags

#### names

    public final java.util.List<ColumnSpecification> names

#### columnCount

    public final int columnCount

#### pagingState

    public PagingState pagingState

### Constructor Detail

#### ResultSet.Metadata

    public ResultSet.Metadata(java.util.List<ColumnSpecification> names)

### Method Detail

#### setHasMorePages

    public ResultSet.Metadata setHasMorePages(PagingState pagingState)

#### setSkipMetadata

    public void setSkipMetadata()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`